RagTime5SpreadsheetInternal::CellPLCParser Struct Reference documentation

RagTime5SpreadsheetInternal::CellPLCParser Struct Referencefinal

Internal: the helper to read a list of cell to paragraph/char/... data. More...

Inheritance diagram for RagTime5SpreadsheetInternal::CellPLCParser:

## Public Member Functions
| CellPLCParser (Sheet &sheet, int which, int fieldSize, std::map< MWAWVec2i, int > const &numRowByPlanes)
| constructor
| ~CellPLCParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &zone, int n, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes
int | m_which
| the type: 0=graphicStyles, 1=textStyles, 2=vertical border, 3=horizontal border
int | m_fieldSize
| the field size
int | m_row
| the actual row
MWAWVec2i | m_planes
| the actual plane set
Sheet & | m_sheet
| the actual sheet
std::map< MWAWVec2i, int > const | m_numRowByPlanes
| the number of row by planes
int | m_numRemainingRows
| the remaining row in the planes

## Private Member Functions
| CellPLCParser (CellPLCParser &orig)=delete
| copy constructor, not implemented
CellPLCParser & | operator= (CellPLCParser &orig)=delete
| copy operator, not implemented

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a list of cell to paragraph/char/... data.

## Constructor & Destructor Documentation

## ◆ CellPLCParser() [1/2]

RagTime5SpreadsheetInternal::CellPLCParser::CellPLCParser | ( | Sheet & | sheet,
|  | int | which,
|  | int | fieldSize,
|  | std::map< MWAWVec2i, int > const & | numRowByPlanes )
| inline

constructor

Referenced by CellPLCParser(), and operator=().

## ◆ ~CellPLCParser()

RagTime5SpreadsheetInternal::CellPLCParser::~CellPLCParser | ( |  | ) |
| final

destructor

Referenced by ~CellPLCParser().

## ◆ CellPLCParser() [2/2]

RagTime5SpreadsheetInternal::CellPLCParser::CellPLCParser | ( | CellPLCParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

CellPLCParser & RagTime5SpreadsheetInternal::CellPLCParser::operator= | ( | CellPLCParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5SpreadsheetInternal::CellPLCParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5SpreadsheetInternal::CellPLCParser::m_fieldSize

the field size

Referenced by CellPLCParser(), and parseData().

## ◆ m_numRemainingRows

int RagTime5SpreadsheetInternal::CellPLCParser::m_numRemainingRows

the remaining row in the planes

Referenced by CellPLCParser(), and parseData().

## ◆ m_numRowByPlanes

std::map<MWAWVec2i,int> const RagTime5SpreadsheetInternal::CellPLCParser::m_numRowByPlanes

the number of row by planes

Referenced by CellPLCParser(), and parseData().

## ◆ m_planes

MWAWVec2i RagTime5SpreadsheetInternal::CellPLCParser::m_planes

the actual plane set

Referenced by CellPLCParser(), and parseData().

## ◆ m_row

int RagTime5SpreadsheetInternal::CellPLCParser::m_row

the actual row

Referenced by CellPLCParser(), and parseData().

## ◆ m_sheet

Sheet& RagTime5SpreadsheetInternal::CellPLCParser::m_sheet

the actual sheet

Referenced by CellPLCParser(), and parseData().

## ◆ m_which

int RagTime5SpreadsheetInternal::CellPLCParser::m_which

the type: 0=graphicStyles, 1=textStyles, 2=vertical border, 3=horizontal border

Referenced by CellPLCParser(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx